ru.bitel.bgbilling.modules.vidimax.server.bean

## Class VidimaxChargeDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<B>
    - - ru.bitel.common.model.AbstractIdDao<ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge>
      - - ru.bitel.bgbilling.modules.vidimax.server.bean.VidimaxChargeDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class VidimaxChargeDao
      extends AbstractIdDao<ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VidimaxChargeDao(java.sql.Connection con, int mid, java.util.Date date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge>` | `getChargeList(int contractId, Period period, Page page, javax.xml.ws.Holder<java.math.BigDecimal> holderTotalSum)`
    `protected ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge` | `getFromRS(java.sql.ResultSet rs)`
    `boolean` | `uniqueOperationId(java.lang.String operationId)` Проверка на уникальность операции( operationId передаваемый Vidimax).
    `protected void` | `updateImpl(ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge charge)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VidimaxChargeDao

          public VidimaxChargeDao(java.sql.Connection con,
                                  int mid,
                                  java.util.Date date)

  - ### Method Detail

    - #### getChargeList

          public java.util.List<ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge> getChargeList(int contractId,
                                                                                                       Period period,
                                                                                                       Page page,
                                                                                                       javax.xml.ws.Holder<java.math.BigDecimal> holderTotalSum)
                                                                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge getFromRS(java.sql.ResultSet rs)
                                                                               throws java.sql.SQLException,
                                                                                      ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge charge)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge>`
      Parameters:
        `charge` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### uniqueOperationId

          public boolean uniqueOperationId(java.lang.String operationId)

      Проверка на уникальность операции( operationId передаваемый Vidimax). Банально провериться нет ли уже расхода с таки operationId.
      Parameters:
        `operationId` -
      Returns:
        - если нет расхода с таким operationId то вернет true.